########## 数据库配置 ##########

#========== 开发环境 ==========
jdbc.url=jdbc:mysql://localhost:3306/kmall_pt?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
jdbc.username=root
jdbc.password=111111

jdbc.initialSize=5
jdbc.maxActive=30

jdbc.minPoolSize=2
jdbc.maxIdleTime=30000
jdbc.idleConnectionTestPeriod=100

#---------- for hikari
jdbc.driver=org.mariadb.jdbc.Driver
jdbc.idleTimeout=400000
jdbc.maxLifetime=500000
jdbc.connectionTimeout=5000
jdbc.maximumPoolSize=5
jdbc.validationTimeout=4000



#========== 生产环境 ==========
#jdbc.url=jdbc:mysql://localhost:3306/kmall_pt?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
#jdbc.username=root
#jdbc.password=111111
#
#jdbc.initialSize=5
#jdbc.maxActive=30
#
#jdbc.minPoolSize=2
#jdbc.maxIdleTime=30000
#jdbc.idleConnectionTestPeriod=100

##---------- for hikari
#jdbc.driver=org.mariadb.jdbc.Driver
#jdbc.idleTimeout=400000
#jdbc.maxLifetime=500000
#jdbc.connectionTimeout=5000
#jdbc.maximumPoolSize=5
#jdbc.validationTimeout=4000
